## zita-at1 0.2.1

=== source/Makefile ===
# --------------------------------------------------------------------------
#
#  Copyright (C) 2010 Fons Adriaensen <fons@kokkinizita.net>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
# --------------------------------------------------------------------------


PREFIX = /usr/local
SUFFIX := $(shell uname -m | sed -e 's/^unknown/$//' -e 's/^i.86/$//' -e 's/^x86_64/$/64/')
LIBDIR = lib$(SUFFIX)
BINDIR = $(PREFIX)/bin
SHARED = $(PREFIX)/share/zita-at1
VERSION = 0.2.1
CPPFLAGS += -O2 -ffast-math -Wall -MMD -MP -DVERSION=\"$(VERSION)\" -DSHARED=\"$(SHARED)\"
CPPFLAGS += -march=native


all:	zita-at1

ZITA-AT1_O = zita-at1.o styles.o jclient.o mainwin.o png2img.o guiclass.o \
             button.o rotary.o tmeter.o retuner.o
zita-at1:	CPPFLAGS += -I/usr/X11R6/include `freetype-config --cflags`
zita-at1:	LDLIBS += -lcairo -lclxclient -lclthreads -lzita-resampler -lfftw3f -ljack -lpng -lXft -lX11 -lrt
zita-at1:	LDFLAGS += -L/usr/X11R6/lib
zita-at1:	$(ZITA-AT1_O) 
	g++ $(LDFLAGS) -o $@ $(ZITA-AT1_O) $(LDLIBS)
$(ZITA-AT1_O):
-include $(ZITA-AT1_O:%.o=%.d)



install:	all
	install -d $(DESTDIR)$(BINDIR)
	install -d $(DESTDIR)$(SHARED)
	install -m 755 zita-at1 $(DESTDIR)$(BINDIR)
	rm -rf $(DESTDIR)$(SHARED)/*
	install -m 644 ../share/* $(DESTDIR)$(SHARED)


uninstall:
	rm -f  $(DESTDIR)$(BINDIR)/zita-at1
	rm -rf $(DESTDIR)$(SHARED)


clean:
	/bin/rm -f *~ *.o *.a *.d *.so
	/bin/rm -f zita-at1

=== debian/changelog ===
zita-at1 (0.2.1-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/01-makefile.patch:
    - Drop -march=native from CPPFLAGS, should fix several FTBFS.
    - Refresh patches.

 -- Alessio Treglia <alessio@debian.org>  Sun, 02 Jan 2011 10:10:37 +0100

zita-at1 (0.1.1-1) unstable; urgency=low

  * Initial release (Closes: #600827).

 -- Alessio Treglia <alessio@debian.org>  Wed, 20 Oct 2010 14:29:57 +0200

=== debian/control ===
Source: zita-at1
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Alessio Treglia <alessio@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 libjack-dev,
 libcairo2-dev,
 libzita-resampler-dev,
 libclthreads-dev (>= 2.4.0),
 libclxclient-dev (>= 3.6.1),
 libfftw3-dev (>= 3.1.2-3.1)
Standards-Version: 3.9.1
Vcs-Git: git://git.debian.org/git/pkg-multimedia/zita-at1.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/zita-at1.git
Homepage: http://www.kokkinizita.net/linuxaudio/

Package: zita-at1
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: JACK autotuner
 AT1 is an 'autotuner', normally used to correct the pitch of a voice
 singing (slightly) out of tune. Compared to 'Autotalent' it provides
 an improved pitch estimation algorithm, and much cleaner resampling.
 .
 AT1 does not include formant correction, so it should be used to
 correct small errors only and not to really transpose a song. The
 'expected' pitch can be controlled by Midi (via Jack only), or be a
 fixed set of notes. AT1 can probably be used on some instruments as
 well, but is primarily designed to cover the vocal range. It's also
 usable as a quick and dirty guitar tuner.

=== debian/watch ===
version=3
http://www.kokkinizita.net/linuxaudio/downloads/index.html \
	zita-at1-(.*)\.tar\.bz2

## zita-at1 0.2.2

=== debian/changelog ===
zita-at1 (0.2.2-1) unstable; urgency=low

  * New upstream release.
  * Upstream's homepage has changed:
    - Fix watch file.
    - Update debian/copyright.
    - Update homepage field.
  * Refresh patches.
  * Update manpage:
    - The '-B' option (Ambisonic) is no longer available.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Fri, 17 Jun 2011 11:08:11 +0200

zita-at1 (0.2.1-2) unstable; urgency=low

  * Link with -pthread to avoid a build failure with future toolchain.

 -- Alessio Treglia <alessio@debian.org>  Sat, 15 Jan 2011 17:05:51 +0100

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,10 @@
  libclthreads-dev (>= 2.4.0),
  libclxclient-dev (>= 3.6.1),
  libfftw3-dev (>= 3.1.2-3.1)
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/git/pkg-multimedia/zita-at1.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/zita-at1.git
-Homepage: http://www.kokkinizita.net/linuxaudio/
+Homepage: http://kokkinizita.linuxaudio.org/linuxaudio/
 
 Package: zita-at1
 Section: libs

## zita-at1 0.2.3

=== source/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # --------------------------------------------------------------------------
 #
-#  Copyright (C) 2010 Fons Adriaensen <fons@kokkinizita.net>
+#  Copyright (C) 2010-2011 Fons Adriaensen <fons@linuxaudio.org>
 #
 #  This program is free software; you can redistribute it and/or modify
 #  it under the terms of the GNU General Public License as published by
@@ -24,7 +24,7 @@
 LIBDIR = lib$(SUFFIX)
 BINDIR = $(PREFIX)/bin
 SHARED = $(PREFIX)/share/zita-at1
-VERSION = 0.2.1
+VERSION = 0.2.3
 CPPFLAGS += -O2 -ffast-math -Wall -MMD -MP -DVERSION=\"$(VERSION)\" -DSHARED=\"$(SHARED)\"
 CPPFLAGS += -march=native
 
@@ -36,6 +36,7 @@
 zita-at1:	CPPFLAGS += -I/usr/X11R6/include `freetype-config --cflags`
 zita-at1:	LDLIBS += -lcairo -lclxclient -lclthreads -lzita-resampler -lfftw3f -ljack -lpng -lXft -lX11 -lrt
 zita-at1:	LDFLAGS += -L/usr/X11R6/lib
+zita-at1:	LDFLAGS += -pthread
 zita-at1:	$(ZITA-AT1_O) 
 	g++ $(LDFLAGS) -o $@ $(ZITA-AT1_O) $(LDLIBS)
 $(ZITA-AT1_O):

=== debian/changelog ===
zita-at1 (0.2.3-4) unstable; urgency=low

  * Added icon.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 21 Aug 2013 14:57:12 +0200

zita-at1 (0.2.3-3) unstable; urgency=low

  * Set dh/compat 9.
  * Bump Standards.
  * Removed DMUA.
  * Tighten build-dep on libclxclient.
  * Fix VCS canonical URLs.
  * Add myself as uploader.
  * Update copyright file.
  * Don't sign tags.
  * Install README as upstream changelog.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 07 Aug 2013 11:58:15 +0200

zita-at1 (0.2.3-2) unstable; urgency=low

  * Adapt to new zita-resampler's API.
  * Bump requirement on libzita-resampler-dev to 1.1.0.
  * Update debian/copyright.

 -- Alessio Treglia <alessio@debian.org>  Wed, 08 Feb 2012 11:03:56 +0100

zita-at1 (0.2.3-1) unstable; urgency=low

  [ Alessio Treglia ]
  * Remove Section: libs from runtime's stanza to fix the override.

  [ Adrian Knoth ]
  * New upstream version, fixing "one octave too low" bug
  * Add myself to the list of uploaders

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Tue, 28 Jun 2011 23:56:32 +0200

=== debian/control ===
Source: zita-at1
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>,
 Adrian Knoth <adi@drcomp.erfurt.thur.de>,
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends:
 debhelper (>= 9),
 libcairo2-dev,
 libclthreads-dev (>= 2.4.0),
 libclxclient-dev (>= 3.9.0),
 libfftw3-dev (>= 3.1.2-3.1),
 libjack-dev,
 libzita-resampler-dev (>> 1.1.0)
Standards-Version: 3.9.4
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/zita-at1.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/zita-at1.git
Homepage: http://kokkinizita.linuxaudio.org/linuxaudio/

Package: zita-at1
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: JACK autotuner
 AT1 is an 'autotuner', normally used to correct the pitch of a voice
 singing (slightly) out of tune. Compared to 'Autotalent' it provides
 an improved pitch estimation algorithm, and much cleaner resampling.
 .
 AT1 does not include formant correction, so it should be used to
 correct small errors only and not to really transpose a song. The
 'expected' pitch can be controlled by Midi (via Jack only), or be a
 fixed set of notes. AT1 can probably be used on some instruments as
 well, but is primarily designed to cover the vocal range. It's also
 usable as a quick and dirty guitar tuner.

## zita-at1 0.2.4

=== source/Makefile ===
--- 
+++ 
@@ -24,9 +24,10 @@
 LIBDIR = lib$(SUFFIX)
 BINDIR = $(PREFIX)/bin
 SHARED = $(PREFIX)/share/zita-at1
-VERSION = 0.2.3
-CPPFLAGS += -O2 -ffast-math -Wall -MMD -MP -DVERSION=\"$(VERSION)\" -DSHARED=\"$(SHARED)\"
-CPPFLAGS += -march=native
+VERSION = 0.2.4
+CPPFLAGS += -MMD -MP -DVERSION=\"$(VERSION)\" -DSHARED=\"$(SHARED)\"
+CXXFLAGS += -O2 -ffast-math -Wall -MMD -MP
+CXXFLAGS += -march=native
 
 
 all:	zita-at1
@@ -34,7 +35,7 @@
 ZITA-AT1_O = zita-at1.o styles.o jclient.o mainwin.o png2img.o guiclass.o \
              button.o rotary.o tmeter.o retuner.o
 zita-at1:	CPPFLAGS += -I/usr/X11R6/include `freetype-config --cflags`
-zita-at1:	LDLIBS += -lcairo -lclxclient -lclthreads -lzita-resampler -lfftw3f -ljack -lpng -lXft -lX11 -lrt
+zita-at1:	LDLIBS += -lcairo -lclxclient -lclthreads -lzita-resampler -lfftw3f -ljack -lpthread -lpng -lXft -lX11 -lrt
 zita-at1:	LDFLAGS += -L/usr/X11R6/lib
 zita-at1:	LDFLAGS += -pthread
 zita-at1:	$(ZITA-AT1_O)

=== debian/changelog ===
zita-at1 (0.2.4-1) unstable; urgency=low

  * Imported Upstream version 0.2.4
  * Bump Standards.
  * Patch refreshed.
  * Patch removed - applied upstream.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 26 Feb 2014 13:32:19 +0100

## zita-at1 0.4.0

=== source/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # --------------------------------------------------------------------------
 #
-#  Copyright (C) 2010-2011 Fons Adriaensen <fons@linuxaudio.org>
+#  Copyright (C) 2010-2014 Fons Adriaensen <fons@linuxaudio.org>
 #
 #  This program is free software; you can redistribute it and/or modify
 #  it under the terms of the GNU General Public License as published by
@@ -24,7 +24,7 @@
 LIBDIR = lib$(SUFFIX)
 BINDIR = $(PREFIX)/bin
 SHARED = $(PREFIX)/share/zita-at1
-VERSION = 0.2.4
+VERSION = 0.4.0
 CPPFLAGS += -MMD -MP -DVERSION=\"$(VERSION)\" -DSHARED=\"$(SHARED)\"
 CXXFLAGS += -O2 -ffast-math -Wall -MMD -MP
 CXXFLAGS += -march=native

=== debian/changelog ===
zita-at1 (0.4.0-5) unstable; urgency=medium

  * Set dh/compat 10.
  * Sign tags.
  * Avoid useless linking.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 27 Dec 2016 13:18:33 +0100

zita-at1 (0.4.0-4) unstable; urgency=medium

   * Team upload.
   * Remove myself from the Uploaders field.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Tue, 01 Nov 2016 18:38:24 +0000

zita-at1 (0.4.0-3) unstable; urgency=medium

  * Fix man page.
  * Add french man page. (Closes: #836743)

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 05 Sep 2016 15:48:55 +0200

zita-at1 (0.4.0-2) unstable; urgency=medium

  * Add french entry to destop file. (Closes: #836689)
  * Remove menu file.
  * Bump Standards.
  * Fix VCS fields.
  * Fix hardening.
  * Update copyright file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 04 Sep 2016 21:12:46 +0200

zita-at1 (0.4.0-1) unstable; urgency=low

  * Imported Upstream version 0.4.0
  * Patch refreshed.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 20 Aug 2014 02:29:49 +0200

=== debian/control ===
--- 
+++ 
@@ -3,20 +3,19 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
- Alessio Treglia <alessio@debian.org>,
  Adrian Knoth <adi@drcomp.erfurt.thur.de>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10),
  libcairo2-dev,
  libclthreads-dev (>= 2.4.0),
  libclxclient-dev (>= 3.9.0),
  libfftw3-dev (>= 3.1.2-3.1),
  libjack-dev,
  libzita-resampler-dev (>> 1.1.0)
-Standards-Version: 3.9.4
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/zita-at1.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/zita-at1.git
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/zita-at1.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/zita-at1.git
 Homepage: http://kokkinizita.linuxaudio.org/linuxaudio/
 
 Package: zita-at1

=== debian/watch ===
version=3
http://kokkinizita.linuxaudio.org/linuxaudio/downloads/index.html \
	zita-at1-(.*)\.tar\.bz2

## zita-at1 0.6.0

=== source/Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
-# --------------------------------------------------------------------------
+# ----------------------------------------------------------------------------
 #
-#  Copyright (C) 2010-2014 Fons Adriaensen <fons@linuxaudio.org>
-#
+#  Copyright (C) 2010-2017 Fons Adriaensen <fons@linuxaudio.org>
+#    
 #  This program is free software; you can redistribute it and/or modify
 #  it under the terms of the GNU General Public License as published by
-#  the Free Software Foundation; either version 2 of the License, or
+#  the Free Software Foundation; either version 3 of the License, or
 #  (at your option) any later version.
 #
 #  This program is distributed in the hope that it will be useful,
@@ -13,10 +13,9 @@
 #  GNU General Public License for more details.
 #
 #  You should have received a copy of the GNU General Public License
-#  along with this program; if not, write to the Free Software
-#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+#  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #
-# --------------------------------------------------------------------------
+# ----------------------------------------------------------------------------
 
 
 PREFIX = /usr/local
@@ -24,10 +23,11 @@
 LIBDIR = lib$(SUFFIX)
 BINDIR = $(PREFIX)/bin
 SHARED = $(PREFIX)/share/zita-at1
-VERSION = 0.4.0
+VERSION = 0.6.0
 CPPFLAGS += -MMD -MP -DVERSION=\"$(VERSION)\" -DSHARED=\"$(SHARED)\"
-CXXFLAGS += -O2 -ffast-math -Wall -MMD -MP
+CXXFLAGS += -O2 -Wall -ffast-math -pthread
 CXXFLAGS += -march=native
+LDFLAGS += -L$(PREFIX)/$(LIBDIR)
 
 
 all:	zita-at1
@@ -37,7 +37,6 @@
 zita-at1:	CPPFLAGS += -I/usr/X11R6/include `freetype-config --cflags`
 zita-at1:	LDLIBS += -lcairo -lclxclient -lclthreads -lzita-resampler -lfftw3f -ljack -lpthread -lpng -lXft -lX11 -lrt
 zita-at1:	LDFLAGS += -L/usr/X11R6/lib
-zita-at1:	LDFLAGS += -pthread
 zita-at1:	$(ZITA-AT1_O) 
 	g++ $(LDFLAGS) -o $@ $(ZITA-AT1_O) $(LDLIBS)
 $(ZITA-AT1_O):

=== debian/changelog ===
zita-at1 (0.6.0-1) unstable; urgency=medium

  * New upstream version 0.6.0
  * Introduce postclone.sh script to ignore .pc/ dir.
  * Patch refreshed.
  * Tune dh version.
  * Bump Standards.
  * Fix gbp.conf to handle tar.gz .
  * Update copyright file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Fri, 11 Aug 2017 02:21:29 +0200

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export PREFIX=/usr

%:
	dh $@ -Smakefile -Dsource

override_dh_installchangelogs:
	dh_installchangelogs README

## zita-at1 0.6.2

=== source/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # ----------------------------------------------------------------------------
 #
-#  Copyright (C) 2010-2017 Fons Adriaensen <fons@linuxaudio.org>
+#  Copyright (C) 2010-2018 Fons Adriaensen <fons@linuxaudio.org>
 #    
 #  This program is free software; you can redistribute it and/or modify
 #  it under the terms of the GNU General Public License as published by
@@ -18,27 +18,26 @@
 # ----------------------------------------------------------------------------
 
 
-PREFIX = /usr/local
-SUFFIX := $(shell uname -m | sed -e 's/^unknown/$//' -e 's/^i.86/$//' -e 's/^x86_64/$/64/')
-LIBDIR = lib$(SUFFIX)
-BINDIR = $(PREFIX)/bin
-SHARED = $(PREFIX)/share/zita-at1
-VERSION = 0.6.0
+PREFIX ?= /usr/local
+BINDIR ?= $(PREFIX)/bin
+SHARED ?= $(PREFIX)/share/zita-at1
+
+VERSION = 0.6.2
 CPPFLAGS += -MMD -MP -DVERSION=\"$(VERSION)\" -DSHARED=\"$(SHARED)\"
 CXXFLAGS += -O2 -Wall -ffast-math -pthread
 CXXFLAGS += -march=native
-LDFLAGS += -L$(PREFIX)/$(LIBDIR)
 
 
 all:	zita-at1
 
+
 ZITA-AT1_O = zita-at1.o styles.o jclient.o mainwin.o png2img.o guiclass.o \
              button.o rotary.o tmeter.o retuner.o
-zita-at1:	CPPFLAGS += -I/usr/X11R6/include `freetype-config --cflags`
-zita-at1:	LDLIBS += -lcairo -lclxclient -lclthreads -lzita-resampler -lfftw3f -ljack -lpthread -lpng -lXft -lX11 -lrt
-zita-at1:	LDFLAGS += -L/usr/X11R6/lib
+zita-at1:	CPPFLAGS += $(shell pkgconf --cflags freetype2)
+zita-at1:	LDLIBS += -lclxclient -lclthreads -lzita-resampler -lcairo \
+	-lfftw3f -ljack -lpthread -lpng -lXft -lX11 -lrt
 zita-at1:	$(ZITA-AT1_O) 
-	g++ $(LDFLAGS) -o $@ $(ZITA-AT1_O) $(LDLIBS)
+	$(CXX) $(LDFLAGS) -o $@ $(ZITA-AT1_O) $(LDLIBS)
 $(ZITA-AT1_O):
 -include $(ZITA-AT1_O:%.o=%.d)

=== debian/changelog ===
zita-at1 (0.6.2-2) unstable; urgency=medium

  * Add a bigger icon
  * Fix FTCBFS: Pass a triplet-prefixed pkg-config (Closes: #953267)
  * Bump dh-compat to 13
  * Add me as uploader
  * d/rules: Remove -Wl,--as-needed ldflags

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 09 Aug 2020 21:48:02 +0200

zita-at1 (0.6.2-1) unstable; urgency=medium

  * Team upload

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field

  [ Dennis Braun ]
  * New upstream version 0.6.2
  * d/control:
    + Bump debhelper-compat to 12
    + Bump standards version to 4.5.0
    + Use https protocol for homepage
    + Add libfreetype6-dev and pkg-config to B-D
    + Set RRR: no
  * d/copyright: Update year, http > https & add myself
  * d/patches: Update 01-makefile.patch
  * Fix pkconfig installation (Closes: #919779)
  * d/rules: Remove override_dh_installchangelogs
  * d/source/local-options: Drop, obsolete
  * d/watch: Use https protocol

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 27 Jan 2020 22:24:53 +0100

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,26 @@
 Source: zita-at1
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
+ Dennis Braun <d_braun@kabelmail.de>,
  Adrian Knoth <adi@drcomp.erfurt.thur.de>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 13),
  libcairo2-dev,
  libclthreads-dev (>= 2.4.0),
  libclxclient-dev (>= 3.9.0),
  libfftw3-dev (>= 3.1.2-3.1),
+ libfreetype6-dev,
  libjack-dev,
- libzita-resampler-dev (>> 1.1.0)
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/zita-at1.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/zita-at1.git
-Homepage: http://kokkinizita.linuxaudio.org/linuxaudio/
+ libzita-resampler-dev (>> 1.1.0),
+ pkg-config
+Rules-Requires-Root: no
+Standards-Version: 4.5.0
+Vcs-Git: https://salsa.debian.org/multimedia-team/zita-at1.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/zita-at1
+Homepage: https://kokkinizita.linuxaudio.org/linuxaudio/
 
 Package: zita-at1
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/buildtools.mk

export PKG_CONF=$(PKG_CONFIG)

export PREFIX=/usr

%:
	dh $@ -Dsource

=== debian/watch ===
version=3
https://kokkinizita.linuxaudio.org/linuxaudio/downloads/index.html \
	zita-at1-(.*)\.tar\.bz2

## zita-at1 0.8.2

=== source/Makefile ===
--- 
+++ 
@@ -22,7 +22,7 @@
 BINDIR ?= $(PREFIX)/bin
 SHARED ?= $(PREFIX)/share/zita-at1
 
-VERSION = 0.6.2
+VERSION = 0.8.2
 CPPFLAGS += -MMD -MP -DVERSION=\"$(VERSION)\" -DSHARED=\"$(SHARED)\"
 CXXFLAGS += -O2 -Wall -ffast-math -pthread
 CXXFLAGS += -march=native

=== debian/changelog ===
zita-at1 (0.8.2-1) unstable; urgency=medium

  * New upstream version 0.8.2
  * Refresh patchset

 -- Dennis Braun <snd@debian.org>  Mon, 29 Apr 2024 20:46:20 +0200

zita-at1 (0.8.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

  [ Dennis Braun ]
  * New upstream version 0.8.1
  * Refresh patchset
  * d/control:
    + Bump Standards-Version to 4.6.2
    + Change B-D from pkg-config to pkgconf
    + Change B-D from libfreetype6-dev to libfreetype-dev
    + Add libjack-jackd2-dev as optional B-D
  * Change my email address
  * Bump d/copyright years

 -- Dennis Braun <snd@debian.org>  Sun, 21 Apr 2024 17:45:42 +0200

=== debian/control ===
--- 
+++ 
@@ -3,21 +3,21 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
- Dennis Braun <d_braun@kabelmail.de>,
+ Dennis Braun <snd@debian.org>,
  Adrian Knoth <adi@drcomp.erfurt.thur.de>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
  debhelper-compat (= 13),
  libcairo2-dev,
- libclthreads-dev (>= 2.4.0),
- libclxclient-dev (>= 3.9.0),
- libfftw3-dev (>= 3.1.2-3.1),
- libfreetype6-dev,
- libjack-dev,
- libzita-resampler-dev (>> 1.1.0),
- pkg-config
+ libclthreads-dev,
+ libclxclient-dev,
+ libfftw3-dev,
+ libfreetype-dev,
+ libjack-dev | libjack-jackd2-dev,
+ libzita-resampler-dev,
+ pkgconf
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/multimedia-team/zita-at1.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/zita-at1
 Homepage: https://kokkinizita.linuxaudio.org/linuxaudio/
